This service will be undergoing maintenance at 00:00 UTC, 2016-08-01. It is expected to last about 1 hours
Bug 513049 - RFE, activation keys, add a check box to activation key to fully update the client
RFE, activation keys, add a check box to activation key to fully update the c...
Status: NEW
Product: Spacewalk
Classification: Community
Component: WebUI (Show other bugs)
0.7
All Linux
low Severity medium
: ---
: ---
Assigned To: Milan Zazrivec
Red Hat Satellite QA List
http://grandprix.rhndev.redhat.com/rh...
: FutureFeature
Depends On:
Blocks: spacewalk-rfe
  Show dependency treegraph
 
Reported: 2009-07-21 14:53 EDT by wes hayutin
Modified: 2011-10-21 11:26 EDT (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Enhancement
Doc Text:
Story Points: ---
Clone Of:
Environment:
Last Closed:
Type: ---
Regression: ---
Mount Type: ---
Documentation: ---
CRM:
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:


Attachments (Terms of Use)
screenshot of page (174.65 KB, image/png)
2009-07-21 14:53 EDT, wes hayutin
no flags Details

  None (edit)
Description wes hayutin 2009-07-21 14:53:40 EDT
Created attachment 354554 [details]
screenshot of page

Description of problem:

It would be cool, if upon registration you could fully update a client.  I'm looking for input for the idea.

Add a check box on  
http://grandprix.rhndev.redhat.com/rhn/activationkeys/List.do

something like:

||  Update to latest available packages
Comment 1 Jan Pazdziora 2010-11-19 11:05:14 EST
Mass-moving to space13.
Comment 2 Miroslav Suchý 2011-04-11 03:33:55 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 3 Miroslav Suchý 2011-04-11 03:37:22 EDT
We did not have time for this one during Spacewalk 1.4 time frame. Mass moving to Spacewalk 1.5.
Comment 4 Jan Pazdziora 2011-07-20 07:52:20 EDT
Aligning under space16.
Comment 5 Clifford Perry 2011-08-05 08:37:45 EDT
This is not a priority for Red Hat's Spacewalk developers and will likely not be completed by Red Hat in the next 2 years. We agree that this is a valid request and something that could be achieved. Will leave it open to allow for the potential of community contribution for this.

Right now I see two ways to tackle this, beyond exposing an option in UI that is stored in DB and read during registrations with activation keys. 
Either this would likely require client code added to read a new value from the key to then spawn off yum update OR it could basically schedule ALL errata for installation and then rhn_check picks them up. 

Cliff

Note You need to log in before you can comment on or make changes to this bug.